{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 75{COM_R 2 0{TEXT 1 121 "This worksheet co
ntains the Maple commands from Chapter 2 of Introduction to Scien
tific Programming by Joseph L. Zachary."}}{SEP_R 3 0}{COM_R 4 0
{TEXT 1 80 "\015(2.1)  The simplest kind of a expression is a num
ber.  It evaluates to itself.\015"}}{INP_R 5 0 "> "{TEXT 0 5 "57.
8;"}}{SEP_R 6 0}{COM_R 7 0{TEXT 1 123 "\015(2.2)  This ill-formed
 number is an example of a syntax error.  Since Maple cannot make
 sense of it, it reports an error.\015"}}{INP_R 8 0 "> "{TEXT 0 6
 "5.7.8;"}}{SEP_R 9 0}{COM_R 10 0{TEXT 1 136 "(2.3)  Here we comp
ute the quotient of two rational numbers.  Notice that the answer
 is expressed as an exact fraction in lowest terms.\015"}}{INP_R 
11 0 "> "{TEXT 0 22 "57800000 / 5761000000;"}}{SEP_R 12 0}{COM_R 
13 0{TEXT 1 244 "\015(2.4)  We do the same computation as in (2.3
), but this time using floating-point numbers.  We know these are
 floating-point numbers because they contain decimal points.  The
 answer is rounded off to ten digits, not counting the leading ze
ro.\015"}}{INP_R 14 0 "> "{TEXT 0 24 "57800000. / 5761000000.;"}}
{SEP_R 15 0}{COM_R 16 0{TEXT 1 141 "\015(2.5)  We do the computat
ion from (2.3) and (2.4) one more time, this time using scientifi
c notation to write the floating-point numbers.  \015"}}{INP_R 17
 0 "> "{TEXT 0 17 "57.8e6 / 5.761e9;"}}{SEP_R 18 0}{COM_R 19 0
{TEXT 1 219 "\015(2.6)  We illustrate that floating-point arithme
tic is not exact by multiplying the quotient from the previous ex
ample by the divisor.  The number that we get back is almost, but
 not exactly, the same as the dividend.\015"}}{INP_R 20 0 "> "
{TEXT 0 23 ".01003298039 * 5.761e9;"}}{SEP_R 21 0}{COM_R 22 0
{TEXT 1 79 "\015(2.7)  Here we square a rational number by using \+
the exponentiation operator.\015"}}{INP_R 23 0 "> "{TEXT 0 7 "528
0^2;"}}{SEP_R 24 0}{COM_R 25 0{TEXT 1 213 "\015(2.8)  This exampl
e shows how more than one arithmetic operation can be carried out
 in a single expression.  Because all of the numbers involved are
 floating-points, the result is expressed as a rational number.\0
15"}}{INP_R 26 0 "> "{TEXT 0 25 ".01003298039 * 27878400.;"}}
{SEP_R 27 0}{COM_R 28 0{TEXT 1 69 "\015(2.9)  We repeat the compu
tation from (2.8) using rational numbers.\015"}}{INP_R 29 0 "> "
{TEXT 0 21 "289/28805 * 27878400;"}}{SEP_R 30 0}{COM_R 31 0{TEXT 
1 378 "\015(2.10)  Here we divide two floating-point numbers (obt
aining an intermediate floating-point result), square a rational \+
number (obtaining an intermediate rational result), and then mult
iply the two intermediate results.  Because the final multiplicat
ion involves both a floating-point number and a rational number, \+
the rational number is first converted to floating-point form.\01
5"}}{INP_R 32 0 "> "{TEXT 0 30 "(57.8e6 / 5.761e9) * (5280^2);"}}
{SEP_R 33 0}{COM_R 34 0{TEXT 1 118 "\015(2.11)  This is an exampl
e of the use of the \"sqrt\" built-in function.  It returns the s
quare root of its parameter.\015"}}{INP_R 35 0 "> "{TEXT 0 18 "sq
rt(279703.4405);"}}{SEP_R 36 0}{COM_R 37 0{TEXT 1 185 "\015(2.12)
  The parameter to \"sqrt\" can be an arbitrary expression.  Here
 we take the square root of the value of an expression that invol
ves division, exponentiation, and multiplication.\015"}}{INP_R 38
 0 "> "{TEXT 0 37 "sqrt((57.8e6 / 5.761e9) * (5280.^2));"}}{SEP_R
 39 0}{COM_R 40 0{TEXT 1 129 "\015(2.13)  Here we take the same s
quare root as in (2.12), but we use rational numbers.  An exact r
esult is given using a radical.\015"}}{INP_R 41 0 "> "{TEXT 0 41 
"sqrt((57800000 / 5761000000) * (5280^2));"}}{SEP_R 42 0}{COM_R 
43 0{TEXT 1 92 "\015(2.14)  The \"evalf\" built-in function conve
rts a rational number into floating-point form.\015"}}{INP_R 44 0
 "> "{TEXT 0 32 "evalf(17952/5761 * sqrt(28805));"}}{SEP_R 45 0}
{COM_R 46 0{TEXT 1 200 "\015(2.15)  There is a limit on the sizes
 of rational numbers that can be computed.  Although the limit va
ries from computer to computer, this expression will probably exc
eed the limit on your computer.\015"}}{INP_R 47 0 "> "{TEXT 0 10 
"10^600000;"}}{SEP_R 48 0}{COM_R 49 0{TEXT 1 125 "\015(2.16)  If \+
10e300000 and 10e(-300000) are acceptable rational numbers on you
r computer, this expression will evaluate to 1.\015"}}{INP_R 50 0
 "> "{TEXT 0 25 "10^300000 * 10^(-300000);"}}{SEP_R 51 0}{COM_R 
52 0{TEXT 1 61 "\015(2.17)  This expression, however, should caus
e an overflow.\015"}}{INP_R 53 0 "> "{TEXT 0 28 "10^(-300000) * 1
0^(-300000);"}}{SEP_R 54 0}{COM_R 55 0{TEXT 1 49 "\015(2.18)  Thi
s one should cause an overflow also.\015"}}{INP_R 56 0 "> "{TEXT 
0 22 "10^300000 * 10^300000;"}}{SEP_R 57 0}{COM_R 58 0{TEXT 1 160
 "\015(2.19)  A compound expression will cause an overflow if any
 of the intermediate results cause an overflow.  For example, thi
s will probably cause an overflow.\015"}}{INP_R 59 0 "> "{TEXT 0 
31 "(10^524279 * 2) * 10^(-524279);"}}{SEP_R 60 0}{COM_R 61 0
{TEXT 1 122 "\015(2.20)  Depending on the limits imposed on ratio
nal numbers on your computer, this expression may not cause an ov
erflow.\015"}}{INP_R 62 0 "> "{TEXT 0 31 "10^524279 * (2 * 10^(-5
24279));"}}{SEP_R 63 0}{COM_R 64 0{TEXT 1 144 "\015(2.21)  The li
mits on floating-point numbers are less restrictive than the limi
ts on rational numbers.  This probably won't cause an overflow.\0
15"}}{INP_R 65 0 "> "{TEXT 0 15 "10.^600000000.;"}}{SEP_R 66 0}
{COM_R 67 0{TEXT 1 51 "\015(2.22)  But this probably will cause a
n overflow.\015"}}{INP_R 68 0 "> "{TEXT 0 16 "10.^6000000000.;"}}
{SEP_R 69 0}{COM_R 70 0{TEXT 1 104 "\015(2.23)  The exact answer \+
to this calculation should be 15241383936, but Maple rounds it to
 ten digits.\015"}}{INP_R 71 0 "> "{TEXT 0 11 "123456.^2.;"}}
{SEP_R 72 0}{COM_R 73 0{TEXT 1 135 "\015(2.24)  The evalf functio
n takes an optional second parameter, which is the number of digi
ts to include in the floating-point result.\015"}}{INP_R 74 0 "> \+
"{TEXT 0 36 "evalf(17952/5761 * sqrt(28805), 15);"}}{SEP_R 75 0}
{INP_R 76 0 "> "{TEXT 0 0 ""}}}{END}
