{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 46{COM_R 2 0{TEXT 1 121 "This worksheet co
ntains the Maple commands from Chapter 5 of Introduction to Scien
tific Programming by Joseph L. Zachary."}}{SEP_R 3 0}{COM_R 4 0
{TEXT 1 34 "\015We set the mantissa length to 4.\015"}}{INP_R 5 0
 "> "{TEXT 0 12 "Digits := 4;"}}{SEP_R 6 0}{COM_R 7 0{TEXT 1 150 
"\015(5.3)  When we try computing the distance to the horizon usi
ng the straightforward approach and four digits of mantissa, we g
et zero as an answer.  \015"}}{INP_R 8 0 "> "{TEXT 0 33 "sqrt((2.
09e7 + 66)^2 - 2.09e7^2);"}}{SEP_R 9 0}{COM_R 10 0{TEXT 1 147 "\0
15(5.4)  This shows what went wrong with example (5.3).  With onl
y four digits of mantissa, adding 66 feet to the radius of the ea
rth has no effect."}}{COM_R 11 0{TEXT 1 0 ""}}{INP_R 12 0 "> "
{TEXT 0 12 "2.09e7 + 66;"}}{SEP_R 13 0}{COM_R 14 0{TEXT 1 164 "\0
15(5.7)  When we try computing the distance to the horizon using \+
the improved approach and four digits of mantissa, we get an answ
er that is correct to four digits.\015"}}{INP_R 15 0 "> "{TEXT 0 
29 "sqrt(2 * 2.09e7 * 66 + 66^2);"}}{SEP_R 16 0}{COM_R 17 0{TEXT 
1 73 "\015For the remainder of the worksheet we set the mantissa \+
size back to 10.\015"}}{INP_R 18 0 "> "{TEXT 0 13 "Digits := 10;"
}}{SEP_R 19 0}{COM_R 20 0{TEXT 1 147 "\015(5.8)  This repetition \+
of the calculation from (5.7) using a hill size of 100 feet helps
 to motivate the utility of programmer-defined functions.\015"}}
{INP_R 21 0 "> "{TEXT 0 31 "sqrt(2 * 2.09e7 * 100 + 100^2);"}}
{SEP_R 22 0}{COM_R 23 0{TEXT 1 115 "\015(5.9)  We define a functi
on called \"horizon\" that encapsulates the types of calculations
 done in (5.7) and (5.8).\015"}}{INP_R 24 0 "> "{TEXT 0 39 "horiz
on := (R, h) -> sqrt(2*R*h + h^2);"}}{SEP_R 25 0}{COM_R 26 0{TEXT
 1 135 "\015(5.10)  We use \"horizon\" to compute the distance to
 the horizon from the top of a 100 foot hill.  The answer is the \+
same as in (5.8).\015"}}{INP_R 27 0 "> "{TEXT 0 21 "horizon(2.09e
7, 100);"}}{SEP_R 28 0}{COM_R 29 0{TEXT 1 156 "\015(5.12)  We use
 \"horizon\" to compute the distance to the horizon from Kill Dev
il Hill using interval arithmetic.  This is the maximum possible \+
distance ...\015"}}{INP_R 30 0 "> "{TEXT 0 23 "horizon(2.095e7, 6
6.5);"}}{SEP_R 31 0}{COM_R 32 0{TEXT 1 55 "\015(5.13) ... and thi
s is the minimum possible distance.\015"}}{INP_R 33 0 "> "{TEXT 0
 23 "horizon(2.085e7, 65.5);"}}{SEP_R 34 0}{COM_R 35 0{TEXT 1 181
 "\015(5.15)  We create a programmer-defined function \"horizonFa
st\" to calculate the distance to the horizon using an algebraica
lly suspect but computationally acceptable approximation.\015"}}
{INP_R 36 0 "> "{TEXT 0 37 "horizonFast := (R, h) -> sqrt(2*R*h);
"}}{SEP_R 37 0}{COM_R 38 0{TEXT 1 103 "\015(5.16)  We use \"horiz
on\" to compute the distance to the horizon from Kill Devil Hill \+
at high tide ...\015"}}{INP_R 39 0 "> "{TEXT 0 28 "horizon(2.09e7
 + 5, 66 - 5);"}}{SEP_R 40 0}{COM_R 41 0{TEXT 1 29 "\015(5.17) ..
. and at low tide.\015"}}{INP_R 42 0 "> "{TEXT 0 28 "horizon(2.09
e7 - 5, 66 + 5);"}}{SEP_R 43 0}{COM_R 44 0{TEXT 1 119 "\015(5.18)
  We compute the distance to the horizon from Kill Devil Hill whe
n our eyepoint is three feet above the summit.\015"}}{INP_R 45 0 
"> "{TEXT 0 20 "horizon(2.09e7, 69);"}}{SEP_R 46 0}{INP_R 47 0 ">
 "{TEXT 0 0 ""}}}{END}
